Bug 736687 - BRMS-MMR-02: The knowledgebase parameters for each knowledge base are not presented
Summary: BRMS-MMR-02: The knowledgebase parameters for each knowledge base are not pre...
Keywords:
Status: NEW
Alias: None
Product: JBoss Enterprise BRMS Platform 5
Classification: JBoss
Component: JON
Version: BRMS 5.2.0-ER1
Hardware: i386
OS: Linux
unspecified
urgent
Target Milestone: ---
: ---
Assignee: John Graham
QA Contact: Martin Vecera
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-08 12:29 UTC by Pavel Kralik
Modified: 2013-04-30 23:34 UTC (History)
5 users (show)

Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: ---


Attachments (Terms of Use)

Description Pavel Kralik 2011-09-08 12:29:49 UTC
Description of problem:

The following knowledgebase parameters for each knowledge base are not presented in the jconsole/JON Drools monitoring tab:

- Alpha node thresholds
- assert behavior
- Composite Key Depth
- Event Processing Mode
- Max Threads
- Sequential Agenda
- Advanced Process Rule Integration
- IndexLeft Beta Memory
- IndexRight Beta Memory
- Maintain times
- Removed Identities
- Sequential
- ShareAlpha Nodes
- List of Globals
- List of packages
- Number of created sessions.

Version-Release number of selected component (if applicable):

BRMS-5.2.0-ER3
brms-p-5.2.0.ER3-rhq-plugin.jar
JON 2.3.1.GA/2.4.0.GA/2.4.1.GA

How reproducible:

Always

Steps to Reproduce:

1. Run a drools-jon-example application
  
https://svn.devel.redhat.com/repos/jboss-qa/guvnor/branches/BRMS-5.2.x/drools-jon-example/
   with ant compile; ant server;ant client.phase1; ant
client.phase2

4. Try to inspect the Drools application with jconsole (org.drools.kbases/my-own-knowledge-base/Attributes)

5. Try to auto discover the application in JON and inspect JMX Server/Drools Service/KBase my-own-knowledge-base/Monitor tab.

Actual results:

Parameters are not presented in jconsole/JON.

Expected results:

Parameters are presented in jconsole/JON.

Additional info:
N/A

Comment 1 Lukáš Petrovický 2011-09-08 12:40:48 UTC
This is a difference from the approved PRD. Either this issue must be fixed or the PRD must be updated.

Comment 2 Edson Tirelli 2011-09-08 22:09:06 UTC
This is presented in an MBean that is dynamically started/stopped to prevent performance impacts. JON does not automatically detect mbeans like that and if we add it to the plugin as a trait, it will flag as offline whenever it is not enabled (99% of the time). 

If anyone has any better idea, it would be appreciated.

JConsole shows this information. Just execute the operation startInternalBeans() either in JConsole or JON.

Comment 3 Prakash Aradhya 2011-09-09 02:48:38 UTC
We can defer this for next release.  However we do not want to loose track of this issues.  If this is something that needs to be fixed in JON, this needs to be collaborated so that the fix can go into JON 3.0.

Flagging it - so that it does not affect 5.2 release.


Note You need to log in before you can comment on or make changes to this bug.